Package: org.codehaus.groovy.ast

## [Java] Class FieldNode

- org.codehaus.groovy.ast.FieldNode

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes, Variable

      public class FieldNode
      extends AnnotatedNode

  Represents a field (member variable)

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `closureSharedVariable`
    `boolean` | `holder`
    `Expression` | `initialValueExpression`
    `int` | `modifiers`
    `ClassNode` | `originType`
    `ClassNode` | `owner`
    `ClassNode` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FieldNode (String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getInitialExpression()`
    `` | `Expression` | `getInitialValueExpression()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `ClassNode` | `getOriginType()`
    `` | `ClassNode` | `getOwner()`
    `` | `ClassNode` | `getType()`
    `` | `boolean` | `hasInitialExpression()`
    `` | `boolean` | `isClosureSharedVariable()` @deprecated
    `` | `boolean` | `isDynamicTyped()`
    `` | `boolean` | `isEnum()` @return true if the field is an enum
    `` | `boolean` | `isFinal()` @return true if the field is final
    `` | `boolean` | `isHolder()`
    `` | `boolean` | `isInStaticContext()`
    `` | `boolean` | `isPrivate()` @return true if the field is private
    `` | `boolean` | `isProtected()` @return true if the field is protected
    `` | `boolean` | `isPublic()` @return true if the field is public
    `` | `boolean` | `isStatic()` @return true if the field is static
    `` | `boolean` | `isVolatile()` @return true if the field is volatile
    `` | `static FieldNode` | `newStatic(Class theClass, String name)`
    `` | `void` | `rename(String name)`
    `` | `void` | `setClosureSharedVariable(boolean inClosure)` @deprecated
    `` | `void` | `setHolder(boolean holder)`
    `` | `void` | `setInitialValueExpression(Expression initialValueExpression)`
    `` | `void` | `setModifiers(int modifiers)`
    `` | `void` | `setOriginType(ClassNode cn)`
    `` | `void` | `setOwner(ClassNode owner)` @param owner The owner to set.
    `` | `void` | `setType(ClassNode type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean closureSharedVariable

    - #### boolean holder

    - #### Expression initialValueExpression

    - #### int modifiers

    - #### ClassNode originType

    - #### ClassNode owner

    - #### ClassNode type

  - ### Constructor Detail

    - #### public FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

  - ### Method Detail

    - #### public Expression getInitialExpression()

    - #### public Expression getInitialValueExpression()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public ClassNode getOriginType()

    - #### public ClassNode getOwner()

    - #### public ClassNode getType()

    - #### public boolean hasInitialExpression()

    - #### @Deprecated public boolean isClosureSharedVariable()

      deprecated:

    - #### public boolean isDynamicTyped()

    - #### public boolean isEnum()

      Returns:
        true if the field is an enum

    - #### public boolean isFinal()

      Returns:
        true if the field is final

    - #### public boolean isHolder()

    - #### public boolean isInStaticContext()

    - #### public boolean isPrivate()

      Returns:
        true if the field is private
      Since:
        2.5.0

    - #### public boolean isProtected()

      Returns:
        true if the field is protected

    - #### public boolean isPublic()

      Returns:
        true if the field is public

    - #### public boolean isStatic()

      Returns:
        true if the field is static

    - #### public boolean isVolatile()

      Returns:
        true if the field is volatile

    - #### public static FieldNode newStatic(Class theClass, String name)

    - #### public void rename(String name)

    - #### @Deprecated public void setClosureSharedVariable(boolean inClosure)

      deprecated:

    - #### public void setHolder(boolean holder)

    - #### public void setInitialValueExpression(Expression initialValueExpression)

    - #### public void setModifiers(int modifiers)

    - #### public void setOriginType(ClassNode cn)

    - #### public void setOwner(ClassNode owner)

      Parameters:
        `owner` - The owner to set.

    - #### public void setType(ClassNode type)